=== debian/changelog ===
python-xarray (2024.02.0-2) unstable; urgency=medium

  * Also disable autopkgtests until pytest > 8 supported

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Mar 2024 07:59:04 +0000

python-xarray (2024.02.0-1) unstable; urgency=medium

  * New upstream release
  * Stop tests for this release; needs to be updated for pytest >= 8.0
  * Undo "nocheck"  to reenable testing; only run tests on python3.12
  * conflict with -datatree until tests pass
  * Drop ARM-xfail patch as integrated upstream
  * Drop xfail-pad-constant patch as now passes
  * Drop xfail-on-random.patch, closed upstream
  * Add Build-depends on python3-zarr
  * Build-depend on python3-sphinx-inline-tabs
  * Build-depend on python3-hypothesis for testing, +docs
  * disable-netcdf-compressor-tests.patch:
    Disable testing of functionality not yet present in Debian
  * disable-stripped-unitwarning-test.patch:
    Disable units-testing as broken test on python3.12
  * Update use-packaged-docs.patch
  * Skip 2 tests requiring download
  * Drop Build-deps on numba, python3-sparse to aid transition
  * dask-gradient-tolerance-i386.patch: Fix for tolerance problem
    comparing arrays on i386 (C-I failure)
  * xfail-pint-units-on-python3.12.patch: On python3.12, tests fail as
    extract_units() in test code is buggy with current pint.
    Mark tests XFAIL
  * Make cfgrib build-dep arch-dependent; needed for c-i tests as
    we cfgrib not present on 32-bit archs
  * Build-conflict with pint < 0.21 as it breaks, failing to handle
    'subok' passed in dask wrapping
  * Build-conflict on python3-sparse to signal that it currently causes
    segfaults (#1055847) - re-add later
  * Docs disabled as sphinx needs pandoc < 3 right now

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Mar 2024 10:05:17 +0000

python-xarray (2023.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Dec 2023 13:16:18 +0000

python-xarray (2023.11.0-2) unstable; urgency=medium

  * Team upload.
  * Tests: fix another failure on big-endian systems,
    allow stderr output.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 25 Nov 2023 22:17:40 +0000

python-xarray (2023.11.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version. Closes: #1050854
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Re-enable docs which do not segfault but do nothing else.  Upstream might
    provide docs in future - otherwise the python-xarray-doc package could be
    dropped completely.

  [ Rebecca N. Palmer ]
  * Tests: ignore rounding differences on i386.  Closes: #1004869.
  * Tests: don't fail on big-endian systems.  Closes: #1053700.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Nov 2023 07:37:01 +0100

python-xarray (2023.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Oct 2023 09:38:50 +0100

python-xarray (2023.09.0-2) unstable; urgency=medium

  * Build-dep on python3-setuptools-scm, whl; needed for more complete install

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Sep 2023 12:59:54 +0100

python-xarray (2023.09.0-1) unstable; urgency=medium

  * New upstream release
  * Disable building docs as Sphinx segfaults

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Sep 2023 09:15:25 +0100
