=== debian/tests/control ===
Test-Command: set -e
 ; for py in python3.12 
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py (DISABLED UNTIL PYTEST  UPDATED):"
 ; echo $py -m pytest -v --pyargs xarray
 ; done
Restrictions: allow-stderr
Depends: python3-all,
         python3-pytest (>= 2.7.1),
         python3-xarray,
	 python3-bottleneck,
         python3-dask (>= 2.8.1+dfsg),
         python3-netcdf4,
         python3-scipy,
         python3-matplotlib,
	 python3-cftime,
         python3-rasterio
