## python-xarray 2024.03.0

=== debian/changelog ===
python-xarray (2024.03.0-1) unstable; urgency=medium

  * New upstream release
  * Re-enable docs
  * Build-dep on new python3-sphinx-copybutton, python3-sphinxext-rediraffe,
    python3-sphinxext-opengraph, python3-sphinx-design, 
    python3-sphinx-book-theme 
  * Drop no-sphinx-* patches

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Mar 2024 08:17:40 +0100
