=== debian/control ===
--- 
+++ 
@@ -41,7 +41,12 @@
 	       python3-nbsphinx <!nodoc>,
                python3-sphinx-gallery <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+	       python3-sphinxext-opengraph  <!nodoc>,
+	       python3-sphinxext-rediraffe <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
 	       python3-sphinx-inline-tabs <!nodoc>,
+	       python3-sphinx-design <!nodoc>,
+ 	        python3-sphinx-book-theme <!nodoc>,
                sphinx-common,
 	       pandoc,
 	       ipython3,
