=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,8 @@
 PY3VERS:= $(shell py3versions -s)
 
 # Disable  for this release:
-# - docs needs sphinx < 3
 # - tests need pytest < 8
-DEB_BUILD_OPTIONS +=  nodoc nocheck
+DEB_BUILD_OPTIONS +=  nocheck nodoc
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1
