## python-xarray 2024.07.0

=== debian/changelog ===
python-xarray (2024.07.0-2) unstable; urgency=medium

  * Team Upload
  * Remove obsolete python3-ipython-genutils from build-dep
  * Apply Multi-Arch hint

 -- Alexandre Detiste <tchet@debian.org>  Tue, 03 Sep 2024 07:59:39 +0200

python-xarray (2024.07.0-1) unstable; urgency=medium

  * New upstream release
  * Now B-D on python3-sphinxcontrib-mermaid
  * Build-Conflict: on python3-pytest-lazy-fixture until tests updated
    for pytest 8. Closes: #1063981
  * Annotate python3-cfgrib as <!nocheck>. Closes: #1078351

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Aug 2024 09:30:21 +0100

python-xarray (2024.06.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0; no changes required
  * Re-enable docs, deleting __pycache__ from install

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Jun 2024 09:22:17 +0100
