=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
                python-pandas-doc <!nodoc>,
                python-scipy-doc <!nodoc>,
 	       python-dask-doc <!nodoc>,
+	       python3-sphinxcontrib-mermaid <!nodoc>,
                python3-all,
-	       python3-cfgrib [!i386 !armel !armhf !hurd-i386],
+	       python3-cfgrib [!i386 !armel !armhf !hurd-i386] <!nocheck>,
 	       python3-zarr,
 	       python3-h5netcdf <!nocheck>,
 	       python3-toolz,
@@ -50,15 +51,15 @@
                sphinx-common,
 	       pandoc,
 	       ipython3,
-               python3-ipython-genutils,
 		python3-jupyter-console,
 		python3-jupyter-core,
 		python3-jupyter-client,
 		python3-packaging
 Build-Conflicts: python3-pint (<= 0.21~1), 
+                python3-pytest-lazy-fixture,
 		python3-sparse,
 	        python3-xarray-datatree
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: https://xarray.pydata.org/
@@ -99,6 +100,7 @@
 
 Package: python-xarray-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
