## python-xarray 2024.09.0

=== debian/changelog ===
python-xarray (2024.09.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patch 1053700-endianness.patch ; resolved upstream
  * B-D on python3-sphinx-remove-toctrees

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Sep 2024 06:35:29 +0100
