=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                python-scipy-doc <!nodoc>,
 	       python-dask-doc <!nodoc>,
 	       python3-sphinxcontrib-mermaid <!nodoc>,
+	       python3-sphinx-remove-toctrees <!nodoc>,
                python3-all,
 	       python3-cfgrib [!i386 !armel !armhf !hurd-i386] <!nocheck>,
 	       python3-zarr,
