=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Disable  for this release:
 # - tests need pytest < 8
-DEB_BUILD_OPTIONS +=  nocheck nodoc
+DEB_BUILD_OPTIONS +=  nocheck 
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1
