## python-xarray 2025.01.1

=== debian/changelog ===
python-xarray (2025.01.1-1) unstable; urgency=medium

  * New upstream release
  * Enable tests for all pythons; catch but dont fail. Closes: #1092392

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Jan 2025 13:21:13 +0000

python-xarray (2025.01.0-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D on numba-doc, buggy. Closes: #1088982
  * Doc generation still disabled

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jan 2025 10:36:20 +0000

python-xarray (2024.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Dec 2024 08:26:32 +0000

python-xarray (2024.10.0-1) experimental; urgency=medium

  * New upstream release
  * Remove obsolete patches:
    - no-sphinx-design.patch
    - no-sphinxext.patch
    - skip-datatree.patch
  * Disable test for experimental release:
    - disable-netcdf-roundtrip-tests.patch
  * B-D on python3-pydata-sphinx-theme
  * No objects.inv available for scipy
  * Building docs fails - disable for this  release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Nov 2024 11:44:39 +0000
