=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Disable  for this release:
 # - tests need pytest < 8
-DEB_BUILD_OPTIONS +=  nocheck 
+DEB_BUILD_OPTIONS +=  nodoc
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1
 
@@ -38,14 +38,12 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	#for p in $(PY3VERS); do \
-	#	PY3VERNUM=`echo $$p | sed -e 's/python//' `; \
-	#	pybuild --test --test-pytest -i $$p -p $$PY3VERNUM  ;  \
-	#	done
-	# Tests fail for 3.11, but we ship 3.12 in trixie
-	python3.12 -m pytest .
-	## cleanup after tests
-	#find .  -name 'tmp.zarr*' -delete
+	for p in $(PY3VERS); do \
+		PY3VERNUM=`echo $$p | sed -e 's/python//' `; \
+		( pybuild --test --test-pytest -i $$p -p $$PY3VERNUM || true) ;  \
+		done
+	# cleanup after tests
+	find .  -name 'tmp.zarr*' -delete
 endif
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
