## python-xarray 2025.01.2

=== debian/changelog ===
python-xarray (2025.01.2-1) unstable; urgency=medium

  * New upstream release
  * Disable sphinx-theme, re-enable docs

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Feb 2025 11:36:57 +0000
