=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	       python-dask-doc <!nodoc>,
 	       python3-sphinxcontrib-mermaid <!nodoc>,
 	       python3-sphinx-remove-toctrees <!nodoc>,
+	       python3-autodocsumm <!nodoc>,
                python3-all,
 	       python3-cfgrib [!i386 !armel !armhf !hurd-i386] <!nocheck>,
 	       python3-zarr,
@@ -26,6 +27,7 @@
 	       python3-flake8,
                python3-hypothesis <!nocheck>,
 	       python-hypothesis-doc <!nodoc>,
+               python-dask-doc <!nodoc>,
                python3-doc <!nodoc>,
                python3-bottleneck <!nocheck>,
                python3-cartopy <!nodoc>,
@@ -49,6 +51,7 @@
 	       python3-sphinx-inline-tabs <!nodoc>,
 	       python3-sphinx-design <!nodoc>,
  	        python3-sphinx-book-theme <!nodoc>,
+               python3-pydata-sphinx-theme <!nodoc>,
                sphinx-common,
 	       pandoc,
 	       ipython3,
