=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  ; echo $py -m pytest -v --pyargs xarray
  ; done
 Restrictions: allow-stderr
+Conflicts:  python3-pytest-lazy-fixture
 Depends: python3-all,
          python3-pytest (>= 2.7.1),
          python3-xarray,
