=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
  filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/xarray-$1\.tar\.gz/ \
  https://github.com/pydata/xarray/tags .*/v?@ANY_VERSION@\.tar\.gz
