## python-xarray 2025.03.1

=== debian/changelog ===
python-xarray (2025.03.1-8) unstable; urgency=medium

  * Team upload
  * Fix architecture determination in autopkgtest

 -- Julian Gilbey <jdg@debian.org>  Mon, 05 May 2025 10:04:03 +0100

python-xarray (2025.03.1-7) unstable; urgency=medium

  * Team upload
  * Fix one more excluded test name for 32-bit archs

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 21:00:12 +0100

python-xarray (2025.03.1-6) unstable; urgency=medium

  * Team upload
  * Fix syntax of pytest nodes

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 18:43:40 +0100

python-xarray (2025.03.1-5) unstable; urgency=medium

  * Team upload
  * Skip failing tests using PYBUILD_TEST_ARGS so they are skipped at both
    build and autopkgtest time (closes: #1104151)

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 13:53:03 +0100

python-xarray (2025.03.1-4) unstable; urgency=medium

  * Team upload
  * Push to unstable

 -- Julian Gilbey <jdg@debian.org>  Mon, 28 Apr 2025 06:43:27 +0100

python-xarray (2025.03.1-3) experimental; urgency=medium

  * Ensure actual d/rules change commited

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Apr 2025 14:55:07 +0100

python-xarray (2025.03.1-2) experimental; urgency=medium

  * Disable cfgrib, cftime on 32-bit and big-endian archs

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Apr 2025 14:12:47 +0100

python-xarray (2025.03.1-1) unstable; urgency=medium

  * New upstream release
  * Build-dep on tzdata-legacy for tests.
  * Drop superfluous d/copyright entries

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Apr 2025 15:50:42 +0100

python-xarray (2025.03.0-2) unstable; urgency=medium

  * Fix autopkgtest build issue. Thanks Antionio Valentino

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Mar 2025 09:29:46 +0100

python-xarray (2025.03.0-1) unstable; urgency=medium

  * New upstream release
  * Now need mypy, python3-pytest-mypy for testing
  * Build-dep on pint for more tests
  * Standards-Version: 4.7.2
  * import-pytest.patch - fix errors on missing import
  * 2 more dask tests labeled xfail
	
 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Mar 2025 13:04:52 +0000

python-xarray (2025.01.2-2) unstable; urgency=medium

  * Team upload.
  * Upstream release 2025.01.2. Closes: #1100293

  [ Michael R. Crusoe ]
  * Switch to PEP-517 building and testing with pybuild. Closes: #1053718
  * refresh patches
  * d/rules: only skip known failing tests, not allowing all tests to fail.
  * Run the tests in parallel using pytest-xdist; report skipped tests.

  [ Alastair McKinstry ]
  * Update metadata

 -- Bastian Germann <bage@debian.org>  Mon, 24 Mar 2025 00:31:19 +0100
