## python-xarray 2025.04.0

=== debian/changelog ===
python-xarray (2025.04.0-1) experimental; urgency=medium

  * New upstream release
  * Build-dep on python3-juptyer-sphinx

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 May 2025 11:21:57 +0100
