=== debian/control ===
--- 
+++ 
@@ -18,9 +18,10 @@
                python3-sphinxcontrib-mermaid <!nodoc>,
                python3-sphinx-remove-toctrees <!nodoc>,
                python3-autodocsumm <!nodoc>,
+	       python3-jupyter-sphinx <!nodoc>,
                python3-all,
                python3-cfgrib [!i386 !armel !armhf !hurd-i386 !s390x] <!nocheck>,
-               python3-zarr (>= 3.0.6-2),
+               python3-zarr,
                python3-h5netcdf <!nocheck>,
                python3-toolz <!nocheck>,
                python3-pickleshare <!nodoc>,
