## python-xarray 2025.08.0

=== debian/changelog ===
python-xarray (2025.08.0-3) unstable; urgency=medium

  * Team upload.
  * Added patch to workaround slow debci runners.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Sep 2025 16:05:37 +0200

python-xarray (2025.08.0-2) unstable; urgency=medium

  * Team upload.
  * pybuild-autopkgtest: skip on 32-bits archs, they are unsupported.
  * d/rules: resume running the tests in parallel using
    DEB_BUILD_OPTION_PARALLEL
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Set upstream metadata fields: Documentation, Repository.
  * Remove unused license definitions for Python-2.0, BSD-3-Clause.
  * Fix day-of-week for changelog entry 2024.07.0-1.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 02 Sep 2025 21:14:38 +0200

python-xarray (2025.08.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1110804
  * B-D on pytest3-asyncio, drop sparse again for now
  * Drop zarr support this release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Aug 2025 09:14:38 +0100

python-xarray (2025.06.1-1) experimental; urgency=medium

  * New upstream release
  * No longer conflict with python3-sparse, instead build-depend
  * Add docs for hypothesis, matplotlib, zarr
  * Don't build docs for this release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jun 2025 10:37:14 +0100
