=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
            Alastair McKinstry <mckinstry@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -18,10 +19,9 @@
                python3-sphinxcontrib-mermaid <!nodoc>,
                python3-sphinx-remove-toctrees <!nodoc>,
                python3-autodocsumm <!nodoc>,
-	       python3-jupyter-sphinx <!nodoc>,
+               python3-jupyter-sphinx <!nodoc>,
                python3-all,
                python3-cfgrib [!i386 !armel !armhf !hurd-i386 !s390x] <!nocheck>,
-               python3-zarr,
                python3-h5netcdf <!nocheck>,
                python3-toolz <!nocheck>,
                python3-pickleshare <!nodoc>,
@@ -33,16 +33,19 @@
                python3-dask <!nocheck> <!nodoc>,
                python3-ipython <!nodoc>,
                python3-matplotlib <!nocheck> <!nodoc>,
+               python-matplotlib-doc <!nocheck> <!nodoc>,
+	       python-hypothesis-doc <!nodoc>,
                python3-netcdf4 <!nocheck> <!nodoc>,
                python3-numpy,
                python3-numpydoc <!nocheck> <!nodoc>,
                python3-pandas,
                python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
                python3-pytest-xdist <!nocheck>,
-	       python3-pytest-mypy <!nocheck>,
+               python3-pytest-mypy <!nocheck>,
                mypy <!nocheck>,
-	       tzdata-legacy <!nocheck>,
-	       python3-pint <!nocheck>,
+               tzdata-legacy <!nocheck>,
+               python3-pint <!nocheck>,
                python3-scipy <!nocheck> <!nodoc>,
                python3-seaborn <!nocheck> <!nodoc>,
                python3-sphinx <!nodoc>,
@@ -64,14 +67,12 @@
                python3-packaging
 Build-Conflicts: python3-pint (<= 0.21~1),
                  python3-pytest-lazy-fixture,
-                 python3-sparse,
                  python3-xarray-datatree
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: https://xarray.pydata.org/
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-xarray
 Architecture: all
