=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,25 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
+include /usr/share/dpkg/buildopts.mk
+
+# Path to tests differs for pybuild and autopkgtest environments
+# Architecture determination also differs.
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+TESTPATH := tests
+TESTARCH := $(shell dpkg --print-architecture)
+else
+TESTPATH := xarray/tests
 include /usr/share/dpkg/buildflags.mk
+TESTARCH := $(DEB_TARGET_ARCH)
+endif
 
 export PYBUILD_NAME=xarray
 PY3VERS:= $(shell py3versions -s)
 
 # Disable  for this release:
 # - tests need pytest < 8
-# DEB_BUILD_OPTIONS +=  nodoc
-
-# cftime, cfgrib fail on 32-bit and big-endian archs. Don't test there
-NO_CF_ARCH:= i386 armel armhf s390x
-DEB_BUILD_OPTIONS +=     $(if $(filter $(DEB_TARGET_ARCH), $(NO_CF_ARCH)),  nocheck,  )
+DEB_BUILD_OPTIONS += nodoc
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1
 
@@ -27,7 +34,19 @@
 # Stop parallel tests,, broken for some reason?
 # export PYBUILD_TEST_ARGS=-r fEs -n auto -k 'not (test_weighted_operations_keep_attr or test_reduce_keepdims)' --pyargs xarray
 
-export PYBUILD_TEST_ARGS=-k 'not (test_weighted_operations_keep_attr or test_reduce_keepdims or test_zarr_region_chunk_partial_offset or test_chunk_encoding_with_dask)' --pyargs xarray
+export PYBUILD_TEST_ARGS := $(DEB_BUILD_OPTION_PARALLEL:%=-n%) --deselect=$(TESTPATH)/test_weighted.py::test_weighted_operations_keep_attr --deselect=$(TESTPATH)/test_variable.py::TestVariable::test_reduce_keepdims --deselect=$(TESTPATH)/test_backends.py::test_zarr_region_chunk_partial_offset --deselect=$(TESTPATH)/test_backends.py::test_chunk_encoding_with_dask --pyargs xarray
+
+# Some tests fail on 32-bit archs; skip those tests
+BIT32_ARCH := i386 armel armhf
+ifneq (,$(filter $(TESTARCH), $(BIT32_ARCH)))
+export PYBUILD_DISABLE_python3=test
+export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_cftimeindex.py::test_asi8 --deselect=$(TESTPATH)/test_datatree.py::TestRepr::test_doc_example $(PYBUILD_TEST_ARGS) --deselect=$(TESTPATH)/test_strategies.py::TestReduction::test_mean
+endif
+
+# And a couple of further failures on i386
+ifeq (i386,$(TESTARCH))
+export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_groupby.py::test_groupby_reduce_dimension_error --deselect=$(TESTPATH)/test_groupby.py::TestDataArrayGroupBy::test_groupby_reduce_keep_attrs $(PYBUILD_TEST_ARGS)
+endif
 
 %:
 	dh $@  --buildsystem=pybuild
@@ -39,7 +58,7 @@
 
 execute_after_dh_auto_install: $(PYTHON3:%=install-python%)
 	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;
-	find debian -name  test.nc -delete 
+	find debian -name  test.nc -delete
 
 override_dh_auto_build:
 	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
