## python-xarray 2025.09.0

=== debian/changelog ===
python-xarray (2025.09.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches. Dropped disable-netcdf-roundtrip-tests.patch in
    favor of upstream's fix.
  * d/rules: skip mypy tests, they are only for upstream devs.
    Closes: #1115136, #1115691

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Sep 2025 13:02:51 +0200
